# ApiClusterTemplateRoleConfigGroup Data Model

Role config group info.

Properties
name | data type | description
--- | --- | ---
refName | string | The reference name of the role config.
roleType | string | Role type
base | boolean | If true then it is the base config group for that role. There can only be one base role config group for a given role type. Defaults to false.
displayName | string | Role config group display name
configs | array of ApiClusterTemplateConfig | List of configurations

Example

    {
      "refName" : "...",
      "roleType" : "...",
      "base" : true,
      "displayName" : "...",
      "configs" : [ {
        "name" : "...",
        "value" : "...",
        "ref" : "...",
        "variable" : "...",
        "autoConfig" : true
      }, {
        "name" : "...",
        "value" : "...",
        "ref" : "...",
        "variable" : "...",
        "autoConfig" : true
      } ]
    }